cancel
Showing results for 
Search instead for 
Did you mean: 

System requirements for the latest version of Firefox

SOLVED
Highlighted
New Contributor

System requirements for the latest version of Firefox

I have an old notebook, and it's impossble at the moment to heal the O.S, which is seriously deteriorated by use, completely worn out, let's say. It used to be XP home, it's SP2, but several antivirus told me, when trying to install, it is not compatible, for it needs SP 2 or upper! I don't even dare to update Adobe Flash for the same reason. So, I need t know, before I lose my actual Firefox, which are the OS requirementes for the latest version of this product. Thank you.

1 ACCEPTED SOLUTION

Accepted Solutions
Expert Contributor

Re: System requirements for the latest version of Firefox

2 REPLIES
Expert Contributor

Re: System requirements for the latest version of Firefox

New Contributor

Re: System requirements for the latest version of Firefox

Thank you!